List recent support bundle processes

List recent support bundle processes
List recent support bundle processes

Returns a list of support bundle processes created in the last 24 hours, ordered newest first. Excludes bundles whose zip files have been cleaned up from disk.

Request
URI
GET
https://{opsmanager-installation}/api/v0/support_bundle/recent
COPY
Responses
200

OK

Returns SupportBundleList of type(s) application/json
{
    "processes": [
        {
            "id": 0,
            "status": "string",
            "start_time": "string",
            "finish_time": "string"
        }
    ]
}
array of object
processes
Optional

processes


400

Setup is not completed

Returns RequireSetupCompleted of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v0/support_bundle/recent